/*
 *
 * (c) Askele Group 2013-2015 <http://askele.com>
 * (c) Alexander Vdolainen 2013-2015 <avdolainen@gmail.com>
 *
 * libsxmp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libsxmp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 */

#ifndef __SXMPL_INTERNAL_H__
#define __SXMPL_INTERNAL_H__

/* link related */
int _sxmpl_writemsg(sxlink_t *co, sxmsg_t *msg);

/* channel operations */
uint8_t _channel_open(sxlink_t *co, uint16_t *chid);
uint8_t _channel_close(sxlink_t *co, uint16_t chid);

/* messages */
void _message_process(sxmsg_t *msg);

#endif /* __SXMPL_INTERNAL_H__ */
